MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024884Open CASCADE[OCCT] OCCT:Configurationpublic2014-04-30 11:532014-05-07 17:28
Reporteribs 
Assigned Toibs 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024884: expand the list of short compiler names in CMake meta-project
Descriptionthe list of short compiler names does not contain "clang", "intel" and others.
It is required to expand the list to cover necessary compilers.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Related Changesets
occt: master 85bcc072
Timestamp: 2014-04-30 08:18:33
Author: abv
Committer: abv
Details ] Diff ]
0024884: expand the list of short compiler names in CMake meta-project

List of compiler short names expanded (added: gcc, gxx, mingw, clang, intel); generation of install folder name is corrected to include compiler name without spaces even if short name is not recognized.

Tcl search was fixed (tcl8.6 has higher priority than tcl or tcl8.5);
Search for fb2build.h of freetype 2.5.1 was corrected

THRDPARTY_PATH is included into LD_LIBRARY_PATH
mod - adm/templates/env.sh.in Diff ] File ]
mod - adm/templates/tcl.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-30 11:53 ibs New Issue
2014-04-30 11:53 ibs Assigned To => ibs
2014-04-30 13:55 ibs Status new => resolved
2014-05-05 17:24 abv Changeset attached => occt master 85bcc072
2014-05-05 17:24 abv Assigned To ibs => abv
2014-05-05 17:24 abv Status resolved => verified
2014-05-05 17:24 abv Resolution open => fixed
2014-05-07 17:24 inv Assigned To abv => ibs
2014-05-07 17:24 inv Status verified => assigned
2014-05-07 17:24 inv Status assigned => resolved
2014-05-07 17:25 inv Status resolved => reviewed
2014-05-07 17:28 bugmaster Status reviewed => closed
2014-05-07 17:28 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker